Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 13064003: First steps towards implementing ArrayBuffer &co in V8 (Closed)

Created:
5 years, 7 months ago by Dmitry Lomov (no reviews)
Modified:
5 years, 7 months ago
Reviewers:
rossberg
CC:
v8-dev
Visibility:
Public.

Description

First steps towards implementing ArrayBuffer &co in V8 BUG= Committed: https://code.google.com/p/v8/source/detail?r=14091

Patch Set 1 #

Patch Set 2 : Self-review #

Patch Set 3 : More self-review #

Patch Set 4 : Forgotten file #

Patch Set 5 : Better treatment of malloc(0) #

Patch Set 6 : ArrayBuffer.slice + more tests #

Total comments: 20

Patch Set 7 : CR feedback #

Patch Set 8 : Added forgotten tests #

Unified diffs Side-by-side diffs Delta from patch set Stats (+472 lines, -1 line) Patch
M src/bootstrapper.cc View 1 2 chunks +15 lines, -0 lines 0 comments Download
M src/flag-definitions.h View 2 chunks +3 lines, -0 lines 0 comments Download
M src/macros.py View 2 chunks +2 lines, -0 lines 0 comments Download
M src/messages.js View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M src/objects.h View 1 5 chunks +28 lines, -0 lines 0 comments Download
M src/objects.cc View 1 chunk +1 line, -0 lines 0 comments Download
M src/objects-debug.cc View 1 2 3 4 5 6 2 chunks +11 lines, -0 lines 0 comments Download
M src/objects-inl.h View 1 2 4 chunks +19 lines, -0 lines 0 comments Download
M src/objects-printer.cc View 1 2 3 4 5 6 2 chunks +12 lines, -0 lines 0 comments Download
M src/objects-visiting.cc View 1 chunk +1 line, -0 lines 0 comments Download
M src/runtime.h View 1 2 3 4 5 6 2 chunks +6 lines, -0 lines 0 comments Download
M src/runtime.cc View 1 2 3 4 5 6 3 chunks +137 lines, -0 lines 0 comments Download
A src/typedarray.js View 1 2 3 4 5 6 1 chunk +98 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/typedarrays.js View 1 2 3 4 5 6 7 1 chunk +136 lines, -0 lines 0 comments Download
M tools/gyp/v8.gyp View 1 chunk +2 lines, -1 line 0 comments Download

Messages

Total messages: 9 (0 generated)
Dmitry Lomov (no reviews)
First steps towards V8 implementation of ArrayBuffers. Just an ArrayBuffer constructor + byteLength property. (under ...
5 years, 7 months ago (2013-03-25 18:00:39 UTC) #1
Dmitry Lomov (no reviews)
More tests and implementation of ArrayBuffer.slice
5 years, 7 months ago (2013-03-26 15:59:34 UTC) #2
rossberg
https://codereview.chromium.org/13064003/diff/11001/src/objects-printer.cc File src/objects-printer.cc (right): https://codereview.chromium.org/13064003/diff/11001/src/objects-printer.cc#newcode804 src/objects-printer.cc:804: PrintF(out, " - byte_length ="); Space after = https://codereview.chromium.org/13064003/diff/11001/src/runtime.cc ...
5 years, 7 months ago (2013-03-27 17:33:14 UTC) #3
Dmitry Lomov (no reviews)
PTAL https://codereview.chromium.org/13064003/diff/11001/src/objects-printer.cc File src/objects-printer.cc (right): https://codereview.chromium.org/13064003/diff/11001/src/objects-printer.cc#newcode804 src/objects-printer.cc:804: PrintF(out, " - byte_length ="); On 2013/03/27 17:33:14, ...
5 years, 7 months ago (2013-03-27 18:45:00 UTC) #4
rossberg
https://codereview.chromium.org/13064003/diff/11001/test/mjsunit/harmony/typedarrays.js File test/mjsunit/harmony/typedarrays.js (right): https://codereview.chromium.org/13064003/diff/11001/test/mjsunit/harmony/typedarrays.js#newcode40 test/mjsunit/harmony/typedarrays.js:40: TestByteLength(-2.567, 0); On 2013/03/27 18:45:00, Dmitry Lomov (chromium) wrote: ...
5 years, 7 months ago (2013-03-28 09:45:15 UTC) #5
Dmitry Lomov (no reviews)
On 2013/03/28 09:45:15, rossberg wrote: > https://codereview.chromium.org/13064003/diff/11001/test/mjsunit/harmony/typedarrays.js > File test/mjsunit/harmony/typedarrays.js (right): > > https://codereview.chromium.org/13064003/diff/11001/test/mjsunit/harmony/typedarrays.js#newcode40 > ...
5 years, 7 months ago (2013-03-28 12:28:22 UTC) #6
Dmitry Lomov (no reviews)
PTAL (added forgotten tests)
5 years, 7 months ago (2013-03-28 12:29:11 UTC) #7
rossberg
LGTM On 2013/03/28 12:28:22, Dmitry Lomov (chromium) wrote: > As I said, OOM is not ...
5 years, 7 months ago (2013-03-28 12:32:51 UTC) #8
Dmitry Lomov (no reviews)
5 years, 7 months ago (2013-03-28 12:50:35 UTC) #9
Message was sent while issue was closed.
Committed patchset #8 manually as r14091 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698